#include "worker.h"
#include <stdlib.h>
#include <stdio.h>

struct tuple {
    int first;
    int second;
    int result;
};

void add(void *data)
{
    
    struct tuple *my_data = (struct tuple *) data;
    my_data->result = my_data->first + my_data->second;
}



int main()
{
    struct tuple a = {.first=1, .second=3, .result=0}, b = {.first=5, .second=10, .result=0};
    worker_ctx test;
    worker_init(&test,1);
    worker_push_job(&test, add, (void *) &a);
    worker_push_job(&test, add, (void *) &b);
    printf("A contains result %d, B contains result %d\n", a.result, b.result);
    worker_exec(&test);
    printf("A contains result %d, B contains result %d\n", a.result, b.result);
    return 0;
}

